Cant run Kyrandia 2 & 3 - scummvm cant find the game fol

Ask for help with ScummVM problems

Moderator: ScummVM Team

clem
Posts: 2160
Joined: Mon Oct 31, 2005 11:14 am

Post by clem »

You might have more than one kyra.dat installed on your system and ScummVM might try to load the wrong one.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

Along the same lines as some of the previous posters, I'm having a heck of a time getting Kyrandia 3 for the Mac (CD version) to be recognized by ScummVM (running under OS X—have tried both version 0.11.1 and 0.12.pre1).

The Mac Kyrandia 3 CD doesn't contain a Westwood.001 file, which puzzles me. The file structure on the CD is as follows:

"Malcolm's Revenge" (ROOT level):
Trash
System
Malcolm
Lisezmoi
Late Notes
Letzte Änderungen
Install Malcolm's Revenge*
Desktop Folder

*Note that this is a "Classic" app, which means it won't run in Leopard or on my Intel Mac. Otherwise, my next step would have been to just install the game under Classic and see if the extracted files were of any help to ScummVM. I suppose worst-case, I could go fire up my old G4 in OS 9 and see what happens, but I'd like to avoid that.

In the Malcolm folder are 194 files, all carrying .PAK, .VQA, .DRV, .TLK, or .AUD extensions, EXCEPT for ONE folder in there, called "HD", with a custom System 7 folder icon with a picture of Malcolm. In there are 24 items, all with .FNT, .PAK, .COL, .SHP, and .CPS extensions, except for ONE 400k file simply named, "GAME" with no extension.

Anyway, I've copied the entire contents of the Malcolm directory to the HD, thrown the kyra.dat file in there, and ScummVM's just not recognizing the folder as a game.

Any ideas?

Many thanks,
Rafi
User avatar
LordHoto
ScummVM Developer
Posts: 1029
Joined: Sun Oct 30, 2005 3:58 pm
Location: Germany

Post by LordHoto »

rafi wrote:Along the same lines as some of the previous posters, I'm having a heck of a time getting Kyrandia 3 for the Mac (CD version) to be recognized by ScummVM (running under OS X—have tried both version 0.11.1 and 0.12.pre1).
As stated in our compatibility list over here http://scummvm.sourceforge.net/compatib ... ails=kyra3 we only support the DOS version currently, since no one in our Team has the Mac version.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

LordHoto wrote: As stated in our compatibility list over here http://scummvm.sourceforge.net/compatib ... ails=kyra3 we only support the DOS version currently, since no one in our Team has the Mac version.
LordHoto,

Ah-HAH! You know, I noticed that line in the notes, but I read it to mean, "DOS version is now supported" as opposed to "Only the DOS version is supported."

Can I help in any way since I own a legit copy?
User avatar
LordHoto
ScummVM Developer
Posts: 1029
Joined: Sun Oct 30, 2005 3:58 pm
Location: Germany

Post by LordHoto »

rafi wrote:
LordHoto wrote: As stated in our compatibility list over here http://scummvm.sourceforge.net/compatib ... ails=kyra3 we only support the DOS version currently, since no one in our Team has the Mac version.
LordHoto,

Ah-HAH! You know, I noticed that line in the notes, but I read it to mean, "DOS version is now supported" as opposed to "Only the DOS version is supported."

Can I help in any way since I own a legit copy?
Actually you could check if there's any file called FILEDATA.FDT. And you could paste your terminal output when trying to add the game to ScummVM. It should give md5 entries for ONETIME.PAK and AUD.PAK.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

LordHoto wrote:
rafi wrote: Actually you could check if there's any file called FILEDATA.FDT. And you could paste your terminal output when trying to add the game to ScummVM. It should give md5 entries for ONETIME.PAK and AUD.PAK.
Done, and Done.

There IS a FILEDATA.FDT in the Malcolm folder on the CD. Here's the Console output when trying to add the game in SCUMMVM:
8/10/08 2:02:33 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] CoreEndianFlipData: error -4940 returned for rsrc type FREF (id 128, length 7, native = no)
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Using configuration file: /Users/xxxxx/Library/Preferences/ScummVM Preferences
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Your game version appears to be unknown. Please, report the following
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] data to the ScummVM team along with name of the game you tried to add
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] and its version/language/etc.:
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] "onetime.pak", "3833ff312757b8e6147f464cca0a6587", 474840
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Your game version appears to be unknown. Please, report the following
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] data to the ScummVM team along with name of the game you tried to add
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] and its version/language/etc.:
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] "aud.pak", "783bbd4d6762146e26894f270d43944d", 4310606
User avatar
LordHoto
ScummVM Developer
Posts: 1029
Joined: Sun Oct 30, 2005 3:58 pm
Location: Germany

Post by LordHoto »

rafi wrote: Done, and Done.

There IS a FILEDATA.FDT in the Malcolm folder on the CD. Here's the Console output when trying to add the game in SCUMMVM:
8/10/08 2:02:33 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] CoreEndianFlipData: error -4940 returned for rsrc type FREF (id 128, length 7, native = no)
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Using configuration file: /Users/xxxxx/Library/Preferences/ScummVM Preferences
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Your game version appears to be unknown. Please, report the following
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] data to the ScummVM team along with name of the game you tried to add
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] and its version/language/etc.:
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] "onetime.pak", "3833ff312757b8e6147f464cca0a6587", 474840
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] Your game version appears to be unknown. Please, report the following
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] data to the ScummVM team along with name of the game you tried to add
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] and its version/language/etc.:
8/10/08 2:02:35 PM [0x0-0xf70f7].org.scummvm.scummvm[69602] "aud.pak", "783bbd4d6762146e26894f270d43944d", 4310606
I will take a look into adding the detection entries tomorrow.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

LordHoto wrote: I will take a look into adding the detection entries tomorrow.
Hey, that's fantastic. If there's anything else I can do, just ask.

-Rafi
User avatar
LordHoto
ScummVM Developer
Posts: 1029
Joined: Sun Oct 30, 2005 3:58 pm
Location: Germany

Post by LordHoto »

rafi wrote:
LordHoto wrote: I will take a look into adding the detection entries tomorrow.
Hey, that's fantastic. If there's anything else I can do, just ask.

-Rafi
I took at look at them, and it seems it is allready present, just copy all files listed on http://wiki.scummvm.org/index.php/Dataf ... 7s_Revenge to a directory and point ScummVM to it and it should work.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

LordHoto wrote: I took at look at them, and it seems it is allready present, just copy all files listed on http://wiki.scummvm.org/index.php/Dataf ... 7s_Revenge to a directory and point ScummVM to it and it should work.
Thanks for the followup. I took another shot at it based on your advice, and this time I COMBINED the Contents of the "Malcom" directory and the "HD" directory (remember HD was inside of Malcolm) and that allowed ScummVM to recognize the game. It thinks it's the DOS version, however, so if that could be fixed to recognize that it's the Mac version, that'd be helpful from a cataloging perspective.

I'll try playing through, though, and will report any bugs to the appropriate bug trackers.

Thanks for the help!

Rafi
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

Quick followup:
When I try to run the game, I get the following error:
Your kyra.dat file has invalid version 28 required, you got 31, reget a correct version from the ScummVM website
So... I have a newer version that what it's expecting??? Very odd. Again, running 0.12.0pre...

Any ideas?

Many thanks,
Rafi
fingolfin
Retired
Posts: 1452
Joined: Wed Sep 21, 2005 4:12 pm

Post by fingolfin »

That means you still have an outdated kyra.dat file somewhere, as was suggested several posts above. Find it, delete it, make sure you have the correct kyra.dat in place, try again.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

fingolfin wrote:That means you still have an outdated kyra.dat file somewhere, as was suggested several posts above. Find it, delete it, make sure you have the correct kyra.dat in place, try again.
You sure about that? The error says I have kyra.dat version 31, where it's looking for version 28! Unless I'm missing something, it's telling me that I have a NEWER kyra.dat file than what it can work with, right??

I checked and double-checked, and I'm using the kyra.dat file found here, and it's the only one on my entire HD.

That's the right one, right?

Rafi
User avatar
LordHoto
ScummVM Developer
Posts: 1029
Joined: Sun Oct 30, 2005 3:58 pm
Location: Germany

Post by LordHoto »

rafi wrote:
fingolfin wrote:That means you still have an outdated kyra.dat file somewhere, as was suggested several posts above. Find it, delete it, make sure you have the correct kyra.dat in place, try again.
You sure about that? The error says I have kyra.dat version 31, where it's looking for version 28! Unless I'm missing something, it's telling me that I have a NEWER kyra.dat file than what it can work with, right??

I checked and double-checked, and I'm using the kyra.dat file found here, and it's the only one on my entire HD.

That's the right one, right?

Rafi
Actually you should have an outdated 0.12.0pre version or something. And thus the file linked there is too recent for your ScummVM version. The Mac version should usually have kyra.dat bundled in the application, so no need to worry about kyra.dat.
User avatar
rafi
Posts: 14
Joined: Sun Aug 10, 2008 5:27 pm

Post by rafi »

LordHoto wrote:
rafi wrote:
fingolfin wrote:That means you still have an outdated kyra.dat file somewhere, as was suggested several posts above. Find it, delete it, make sure you have the correct kyra.dat in place, try again.
You sure about that? The error says I have kyra.dat version 31, where it's looking for version 28! Unless I'm missing something, it's telling me that I have a NEWER kyra.dat file than what it can work with, right??

I checked and double-checked, and I'm using the kyra.dat file found here, and it's the only one on my entire HD.

That's the right one, right?

Rafi
Actually you should have an outdated 0.12.0pre version or something. And thus the file linked there is too recent for your ScummVM version. The Mac version should usually have kyra.dat bundled in the application, so no need to worry about kyra.dat.
Hmm... I'm running 0.12.pre-1, which says it was released August 6...
Post Reply